跳转到内容
简体中文

对话列表

GET/v1/mailboxes/{mailbox_id}/threads

从最近更新的对话框开始,最多返回 100 个对话框。来自文件夹 Trash 和 Junk 的邮件不包含在列表中。新字母可能会稍微延迟出现;重试更新列表的请求。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/threads' \
-H 'Authorization: Bearer <access_token>'

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

响应

200 成功回复

application/json

array

数组元素

object

thread_id

string

updated_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

messages

integer

unread

integer

senders

array

数组元素

string

subject

string

sender

string

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object